Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005895Dwarf FortressDwarf Mode -- Transport/Haulingpublic2012-05-15 11:562017-10-30 14:20
ReporterArkenstone 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindows 7 (64-bit)OS Version
Product Version 
Target VersionFixed in Version0.40.20 
Summary0005895: Herbalist takes multiple trips/plant
DescriptionHerbalists now run back to the stockpile for a barrel every time they harvest a plant, instead of just taking the plant back by hand.
Steps To ReproduceWatch dwarves gathering plants.
Tagshauling
Attached Files

- Relationships
has duplicate 0005906resolvedKnight Otu Plant gathering and hauling uses extra gathering step with containers 
has duplicate 0005959resolvedFootkerchief haulers carry bins/barrels to item instead of vice versa 
related to 0005878acknowledgedToady One Dwarves sent to farm plot to "Harvest Plants", then sent away with "No Job" 

-  Notes
(0022534)
Rhenaya (reporter)
2012-05-16 02:19

another version would be that they take the barrel just with them right away
(0022539)
Footkerchief (manager)
2012-05-16 07:21

Are they using the barrel for multi-hauling?
(0022545)
Arkenstone (reporter)
2012-05-16 13:23

Whenever they harvest a plant, they drop it on the ground and go back to the stockpile to haul a barrel out just to put that one single plant in; then they take the barrel back to the pile.

I've seen my other dwarves go get barrels and bins for single items too, but that's usually much less out of the way.
(0022568)
garanis (reporter)
2012-05-17 07:24

Same goes for fisherdwarves. They catch a fish, go get a barrel, put the fish in, go get a wheelbarrel, get the barrel, and take it to the stockpile.
(0022575)
Arkenstone (reporter)
2012-05-17 11:46

When I switched off mining for a couple dwarves, they dropped their picks and went back to the weapon stockpile for bins...
(0022576)
Arkenstone (reporter)
2012-05-17 13:17

I Checked the latest version. Both the herbalists and the ex-miners are still running back to the stockpile to grab a barrel/bin for just one item.
(0022598)
HiEv (reporter)
2012-05-18 15:10

This may also be related to bug 0005878 (another plant harvesting/storage bug).
(0022601)
krenshala (reporter)
2012-05-18 20:04
edited on: 2012-05-18 20:11

With 34.09 (didn't play 34.08) I just noticed a similar pattern. My miner gets a plump helmet from the farm and hauls it to a table/chair and eats it - this is as we would expect to happen and this leaves a seed. He then walks to the seed stockpile and gets a bag from the seed barrel, walks back to the chair where he left the plump helmet seed, then carries the bag back to the barrel (leaving the seed) and puts the bag in the barrel, picks up the barrel he put the bag in and carries the barrel back to the meeting hall, where he puts the plump helmet seed on the chair in the barrel, -then- carries the barrel back to the seed stockpile. Two full round trips more than if he had just walked the seed to the barrel instead.

I also saw the farmer bring the barrel to the plant thing as well.

(0022606)
Rhenaya (reporter)
2012-05-19 01:07

maybe they should take barrel for harvesting and gathering right in the beginning, so they can put several plants at once into the barrel instead of picking one and then bring it to the stockpile. like i have 10 plants ready to get harvested:
pre .08 they would pick each invidual plant and bring it to a stockpile
with .08/.09 they pick it, run for a barrel, and then stockpile it, and then pick the next (double as much run time!)
idea for .10 they take a barrel right away and pick plants till its full or no other plant to be picked (or get interrupted by thirst, wild animals, etc)
(0022696)
krenshala (reporter)
2012-05-23 17:09
edited on: 2012-05-23 17:12

Just had this happen in a new fort. The steps I witnessed were:

1) dwarf eats plump helmet and leaves a plump helmet spawn (PHS) on the ground (haven't gotten the first wave, let alone tables, yet)
2) miner decides to put the PHS into the seed stockpile next to the underground farm
3) miner walks to the stockpile and pulls a bag out of the barrel in the seed stockpile
4) miner walks to the PHS and puts it in the bag, then moves a few tiles over and picks up another. cool, multi-hauling working as planned!
5) miner drops the bag on the ground! wait, what?!
6) miner walks back to the seed stockpile and picks up the barrel he originally got the seed bag out of
7) miner walks with the barrel back to the seed bag he dropped, and puts the bag into the barrel
8) miner walks the barrel back to the seed stockpile and replaces it into its spot.

This should have been:
3) miner gets bag
4) miner puts seed(s) in bag
5) miner puts bag back into barrel in seed stockpile

I'm assuming the "lets get a container" is due to the multi-hauling code. It looks like its checking whether the item to be stockpiled can be binned/bagged/barreled, and fetching one if it can, even if its a single-item hauling job. For a multi-item hauling run, this is a good plan; for single item, its okay, but not optimal. For single item, it should just haul the item to the stockpile and bin/bag/barrel it there, not fetch a bin/bag/barrel to the one item. Not sure what the overhead of checking "ahead" would be, and only fetching the bin if it was a multi-haul job, but that would fix it (i think).

(0022752)
Arkenstone (reporter)
2012-05-27 23:09
edited on: 2012-05-27 23:11

I think the multi-haul might work by checking if there's another, similar item nearby in the middle of the haul cycle. If so, it'll be impossible to determine ahead of time if a hauling job is "only one item".

The only thing that really needs to be fixed though is the special-case stuff, like herbalists/fisherdwarfs hauling back their produce or ex-miners/woodcutters dropping off equipment as well as any instance of container hauling.

(0022754)
Kogut (reporter)
2012-05-27 23:27

Or perform multi-haul check before fetching container.
(0023045)
Slobberknocker (reporter)
2012-06-18 07:23

In addition to the multiple trip, herbalists will store the food in a pot/barrel even if food hauling is OFF. This tells me it is bypassing the hauling mechanisms entirely. I tried turning off food hauling hoping the herbalist would leave piles of food laying around, and hoping that a single dwarf with a single barrel would come by and scoop them all up. No joy.
(0023046)
kwieland (reporter)
2012-06-18 07:48

@slobberknocker The workaround is to have a food stockpile that allows plants but doesn't allow barrels. Then the herbalists won't run for barrels every time they harvest 1 plant. With food hauling turned off, they don't bring them in at all.
(0030900)
Footkerchief (manager)
2014-11-07 07:03

Is this bug still present in 0.40.14+?
(0031080)
Dekon (reporter)
2014-11-19 13:58
edited on: 2014-11-19 13:59

Yes, Footkerchief - this bug is still present. Herbalist picks item, runs to get barrel, takes barrel to picked plant, puts item in barrel, returns barrel, goes to pick a new item.

Unrelated, it doesn't appear herbalists get xp for picking normal items anymore. I haven't tried fruit from trees.

(0031094)
m-logik (reporter)
2014-11-20 15:20

It appears that this bug has been somewhat mitigated in 40.14+. Dwarves seem to still show this behavior when a plant gathering job is designated (i.e. from d - p), but when it's triggered by a gathering zone they act much more logically. Gatherers in a zone seem to a)perform multiple ground gathering jobs sequentially, carrying all of the products with them, or b)perform multiple tree-picking jobs sequentially, leaving the products in a line on the ground, where they will be scooped up all at once by a hauler with a barrel. Viewing the inventory of a herbalist gathering from the ground in a zone will sometimes show several pages of plants and fruit being carried at once. I haven't noticed yet what they do when they finish the job, but whether they carry the whole lot to a stockpile or drop it and bring back a barrel, I would consider this a definite improvement to hauling behavior.
(0036824)
Loci (manager)
2017-10-30 14:19

Hauling code was updated in v0.40.20 to avoid carrying containers around (0005992). Verified herbalists will carry harvested plants back to the stockpile in v0.43.05x32.

- Issue History
Date Modified Username Field Change
2012-05-15 11:56 Arkenstone New Issue
2012-05-16 01:38 Steb Issue Monitored: Steb
2012-05-16 02:19 Rhenaya Note Added: 0022534
2012-05-16 07:21 Footkerchief Note Added: 0022539
2012-05-16 07:21 Footkerchief Tag Attached: AWAITING UPDATE
2012-05-16 13:23 Arkenstone Note Added: 0022545
2012-05-17 02:08 Knight Otu Relationship added has duplicate 0005906
2012-05-17 07:24 garanis Note Added: 0022568
2012-05-17 11:46 Arkenstone Note Added: 0022575
2012-05-17 11:47 Arkenstone Tag Attached: 34.8
2012-05-17 11:47 Arkenstone Tag Attached: hauling
2012-05-17 11:48 Arkenstone Tag Detached: 34.8
2012-05-17 11:48 Arkenstone Tag Attached: 34.08
2012-05-17 11:48 Arkenstone Tag Detached: 34.08
2012-05-17 11:48 Arkenstone Tag Attached: 0.34.08
2012-05-17 13:16 Arkenstone Tag Detached: 0.34.08
2012-05-17 13:17 Arkenstone Note Added: 0022576
2012-05-18 15:10 HiEv Note Added: 0022598
2012-05-18 20:04 krenshala Note Added: 0022601
2012-05-18 20:09 krenshala Note Edited: 0022601 View Revisions
2012-05-18 20:11 krenshala Note Edited: 0022601 View Revisions
2012-05-19 01:07 Rhenaya Note Added: 0022606
2012-05-19 01:07 Rhenaya Issue Monitored: Rhenaya
2012-05-19 08:50 Footkerchief Relationship added related to 0005878
2012-05-23 17:09 krenshala Note Added: 0022696
2012-05-23 17:10 krenshala Note Edited: 0022696 View Revisions
2012-05-23 17:12 krenshala Note Edited: 0022696 View Revisions
2012-05-23 17:12 krenshala Issue Monitored: krenshala
2012-05-23 20:43 Footkerchief Tag Detached: AWAITING UPDATE
2012-05-27 21:13 Footkerchief Relationship added has duplicate 0005959
2012-05-27 23:09 Arkenstone Note Added: 0022752
2012-05-27 23:11 Arkenstone Note Edited: 0022752 View Revisions
2012-05-27 23:27 Kogut Note Added: 0022754
2012-06-05 09:09 Threlicus Issue Monitored: Threlicus
2012-06-07 01:45 Buglist Issue Monitored: Buglist
2012-06-18 07:23 Slobberknocker Note Added: 0023045
2012-06-18 07:48 kwieland Note Added: 0023046
2013-12-07 04:28 Thundercraft Issue Monitored: Thundercraft
2014-09-02 13:08 4maskwolf Issue Monitored: 4maskwolf
2014-11-07 07:03 Footkerchief Tag Attached: Fixed in 0.40.14?
2014-11-07 07:03 Footkerchief Note Added: 0030900
2014-11-07 07:03 Footkerchief Assigned To => Footkerchief
2014-11-07 07:03 Footkerchief Status new => needs feedback
2014-11-19 13:58 Dekon Note Added: 0031080
2014-11-19 13:59 Dekon Note Edited: 0031080 View Revisions
2014-11-19 14:44 Footkerchief Status needs feedback => confirmed
2014-11-20 15:20 m-logik Note Added: 0031094
2014-11-20 18:03 Footkerchief Status confirmed => needs feedback
2017-10-30 14:19 Loci Note Added: 0036824
2017-10-30 14:19 Loci Status needs feedback => resolved
2017-10-30 14:19 Loci Fixed in Version => 0.40.20
2017-10-30 14:19 Loci Resolution open => fixed
2017-10-30 14:19 Loci Assigned To Footkerchief => Toady One
2017-10-30 14:20 Loci Tag Detached: Fixed in 0.40.14?


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker